#
# spec file for package python-mmllib
#
# Copyright (c) 2023 Dominik George <nik@naturalnet.de>
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           mmllib
Version:        1.4
Release:        0
Summary:        Modern library for handling Music Macro Language
License:        MirOS
Group:          Development/Libraries/Python
URL:            https://edugit.org/Teckids/hacknfun/libs/mmllib
Source:         https://edugit.org/Teckids/hacknfun/libs/mmllib/-/archive/%{version}/%{name}-%{version}.tar.gz
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
BuildArch:      noarch
%python_subpackages

%description
MMLlib is a pure Python implementation of functionality related to the
Music Macro Language as implemented by Microsoft® GW-BASIC® and compatibles,
which is its most common form, also implemented by the PC speaker driver in
Linux and BSD, with a number of extensions and changes.

%prep
%autosetup

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}
%python_clone -a %{buildroot}%{_bindir}/mml2musicxml
%python_clone -a %{buildroot}%{_bindir}/mmllint

%check
%pyunittest

%post
%{python_install_alternative mml2musicxml}
%{python_install_alternative mmllint}

%postun
%{python_uninstall_alternative mml2musicxml}
%{python_uninstall_alternative mmllint}

%files %{python_files}
%license LICENCE
%doc CHANGELOG.rst MMLFILE.rst README.rst examples/*
%{python_sitelib}/*
%python_alternative %{_bindir}/mml2musicxml
%python_alternative %{_bindir}/mmllint

%changelog
